Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nl.tudelft.simulation.dsol.formalisms.process
Class ProcessFactory

    java.lang.Object
      nl.tudelft.simulation.dsol.interpreter.operations.InterpreterFactory
          nl.tudelft.simulation.dsol.formalisms.process.ProcessFactory

All Implemented Interfaces:
  nl.tudelft.simulation.dsol.interpreter.operations.FactoryInterface

public class ProcessFactory
extends nl.tudelft.simulation.dsol.interpreter.operations.InterpreterFactory

A InterpreterFactory
(c) copyright 2003 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: General Public License (GPL) , no warranty

Version:
  1.0 Jan 14, 2004
Author:
  Peter Jacobs

Field Summary

Fields inherited from interface nl.tudelft.simulation.dsol.interpreter.operations.FactoryInterface
`BREAKPOINT, IMPDEP1, IMPDEP2`

Constructor Summary
`ProcessFactory()` constructs a new InterpreterFactory

Method Summary
`nl.tudelft.simulation.dsol.interpreter.Operation` | `readOperation(int operand, java.io.DataInput dataInput, int startBytePostion)` reads a sequence of bytes and returns the appropriate bytecode operations.

Methods inherited from class nl.tudelft.simulation.dsol.interpreter.operations.InterpreterFactory
`readOperation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessFactory

    public ProcessFactory()

  constructs a new InterpreterFactory

Method Detail

### readOperation

    public nl.tudelft.simulation.dsol.interpreter.Operation readOperation(int operand,
                                                                          java.io.DataInput dataInput,
                                                                          int startBytePostion)
                                                                   throws java.io.IOException

  reads a sequence of bytes and returns the appropriate bytecode operations.

  Parameters:
    `operand` - the operatand (short value)
    `dataInput` - the dataInput to read from
    `startBytePostion` - the position in the current block of bytecode.
  Returns:
    the assemnbly Operation
  Throws:
    `java.io.IOException` - on IO exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 Delft University of Technology, the Netherlands. All Rights Reserved.